petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSectionDestroy

Frees a section object and frees its range if that exists.

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionDestroy(PetscSection *s)

Not collective

### Input Parameters

s -the PetscSection

### See Also

PetscSection, PetscSectionCreate()

### Level

beginner

### Location

src/vec/is/section/interface/section.c

### Examples

src/dm/impls/plex/examples/tutorials/ex1.c.html
src/dm/impls/plex/examples/tutorials/ex1f90.F90.html
src/dm/examples/tutorials/ex20.c.html
src/ts/examples/tutorials/ex11.c.html
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages